#Growth
#CMIave
coefmean<-summary(mb)$co[,1]
can$AGBGI_CMIave<-resid(mb)+coefmean[1]+coefmean["CMIave"]*can$CMIave

G3CMIave<-ggplot()+
  geom_point(data=can,aes(x=CMIave1,y=AGBGI_CMIave),size=0.1,col="lightblue")+
  stat_smooth(data=can,aes(x=CMIave1,y=AGBGI_CMIave),method="lm",formula=y~x)+
  theme(axis.line.x = element_blank(),axis.ticks.x=element_blank(),axis.text.x=element_blank(),
        axis.line.y = element_line(),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(),
        panel.background = element_blank())+
  ylim(0,15)

G3CMIave<-G3CMIave+ ylab(expression(paste("Growth (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))
G3CMIave<-G3CMIave+ xlab(expression(paste("")))      
G3CMIave<-G3CMIave+ annotate("text", x = 150, y =8, label = "italic(P) <0.001", parse=TRUE, size=4) 
G3CMIave

summary(mb)$co
anova(mb)

g1 <- ggplotGrob(G3CMIave)

#MATave
coefmean<-summary(mb)$co[,1]
can$AGBGI_MATave<-resid(mb)+coefmean[1]+coefmean["MATave"]*can$MATave

G3MATave<-ggplot()+
  geom_point(data=can,aes(x=MATave1,y=AGBGI_MATave),size=0.1,col="lightblue")+
  stat_smooth(data=can,aes(x=MATave1,y=AGBGI_MATave),method="lm",formula=y~x)+
  theme(axis.line.x = element_blank(),axis.ticks.x=element_blank(),axis.text.x=element_blank(),
        axis.line.y = element_line(),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(),
        panel.background = element_blank())+
  ylim(0,15)

G3MATave<-G3MATave+ ylab(expression(paste("Growth (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))
G3MATave<-G3MATave + xlab(expression(paste("")))      
G3MATave<-G3MATave+ annotate("text", x = 3, y =8, label = "italic(P) <0.001", parse=TRUE, size=4) 
G3MATave

summary(mb)$co
anova(mb)

h1 <- ggplotGrob(G3MATave)

#logSA
coefmean<-summary(mb)$co[,1]
can$AGBGI_logSA<-resid(mb)+coefmean[1]+coefmean["logSA"]*can$logSA

G3logSA<-ggplot()+
  geom_point(data=can,aes(x=SA1,y=AGBGI_logSA),size=0.1,col="lightblue")+
  stat_smooth(data=can,aes(x=SA1,y=AGBGI_logSA),method="lm",formula=y~log(x))+
  theme(axis.line.x = element_blank(),axis.ticks.x=element_blank(),axis.text.x=element_blank(),
        axis.line.y = element_line(),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(),
        panel.background = element_blank())+
  ylim(0,15)

G3logSA<-G3logSA+ ylab(expression(paste("Growth (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))
G3logSA<-G3logSA + xlab(expression(paste("")))      
G3logSA<-G3logSA+ annotate("text", x = 150, y =8, label = "italic(P) <0.001", parse=TRUE, size=4) 
G3logSA

summary(mb)$co
anova(mb)

i1 <- ggplotGrob(G3logSA)

#Mortality
#CMIave
coefmean<-summary(mc)$co[,1]
can$AGBM_CMIave<-resid(mc)+coefmean[1]+coefmean["CMIave"]*can$CMIave

M3CMIave<-ggplot()+
  geom_point(data=can,aes(x=CMIave1,y=AGBM_CMIave),size=0.1,col="lightblue")+
  stat_smooth(data=can,aes(x=CMIave1,y=AGBM_CMIave),method="lm",formula=y~x)+
  theme(axis.line.x = element_blank(),axis.ticks.x=element_blank(),axis.text.x=element_blank(),
        axis.line.y = element_line(),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(),
        panel.background = element_blank())+
  ylim(0,25)

M3CMIave<-M3CMIave+ ylab(expression(paste("Mortality (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))
M3CMIave<-M3CMIave + xlab(expression(paste("")))      
M3CMIave<-M3CMIave+ annotate("text", x = 150, y =8, label = "italic(P) == 0.075", parse=TRUE, size=4) 
M3CMIave

summary(mc)$co
anova(mc)

g2 <- ggplotGrob(M3CMIave)

#MATave
coefmean<-summary(mc)$co[,1]
can$AGBM_MATave<-resid(mc)+coefmean[1]+coefmean["MATave"]*can$MATave

M3MATave<-ggplot()+
  geom_point(data=can,aes(x=MATave1,y=AGBM_MATave),size=0.1,col="lightblue")+
  stat_smooth(data=can,aes(x=MATave1,y=AGBM_MATave),method="lm",formula=y~x)+
  theme(axis.line.x = element_blank(),axis.ticks.x=element_blank(),axis.text.x=element_blank(),
        axis.line.y = element_line(),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(),
        panel.background = element_blank())+
  ylim(0,25)

M3MATave<-M3MATave+ ylab(expression(paste("Mortality (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))
M3MATave<-M3MATave + xlab(expression(paste("")))      
M3MATave<-M3MATave+ annotate("text", x = 3, y =8, label = "italic(P) <0.001", parse=TRUE, size=4) 
M3MATave

summary(mc)$co
anova(mc)

h2 <- ggplotGrob(M3MATave)

#logSA
coefmean<-summary(mc)$co[,1]
can$AGBM_logSA<-resid(mc)+coefmean[1]+coefmean["logSA"]*can$logSA

M3logSA<-ggplot()+
  geom_point(data=can,aes(x=SA1,y=AGBM_logSA),size=0.1,col="lightblue")+
  stat_smooth(data=can,aes(x=SA1,y=AGBM_logSA),method="lm",formula=y~log(x))+
  theme(axis.line.x = element_blank(),axis.ticks.x=element_blank(),axis.text.x=element_blank(),
        axis.line.y = element_line(),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(),
        panel.background = element_blank())+
  ylim(0,25)

M3logSA<-M3logSA+ ylab(expression(paste("Mortality (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))
M3logSA<-M3logSA + xlab(expression(paste("")))      
M3logSA<-M3logSA+ annotate("text", x = 150, y =8, label = "italic(P) <0.001", parse=TRUE, size=4) 
M3logSA

summary(mc)$co
anova(mc)

i2 <- ggplotGrob(M3logSA)

#Fig.2 Net biomass change
#CMIave
coefmean<-summary(ma)$co[,1]
can$AGB_CMIave<-resid(ma)+coefmean[1]+coefmean["CMIave"]*can$CMIave

N3CMIave<-ggplot()+
  geom_point(data=can,aes(x=CMIave1,y=AGB_CMIave),size=0.1,col="lightblue")+
  stat_smooth(data=can,aes(x=CMIave1,y=AGB_CMIave),method="lm",formula=y~x)+
  theme(axis.line.x = element_line(),axis.line.y = element_line(),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(),
        panel.background = element_blank())+
  ylim(-25,15)

N3CMIave<-N3CMIave+ ylab(expression(paste("Net biomass change (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))
N3CMIave<-N3CMIave+ xlab(expression(paste(CMI[ave]," (cm)")))
N3CMIave<-N3CMIave+ annotate("text", x = 150, y =10, label = "italic(P) <0.001", parse=TRUE, size=4) 
N3CMIave

summary(ma)$co
anova(ma)

g3 <- ggplotGrob(N3CMIave)

#MATave
coefmean<-summary(ma)$co[,1]
can$AGB_MATave<-resid(ma)+coefmean[1]+coefmean["MATave"]*can$MATave

N3MATave<-ggplot()+
  geom_point(data=can,aes(x=MATave1,y=AGB_MATave),size=0.1,col="lightblue")+
  stat_smooth(data=can,aes(x=MATave1,y=AGB_MATave),method="lm",formula=y~x)+
  theme(axis.line.x = element_line(),axis.line.y = element_line(),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(),
        panel.background = element_blank())+
  ylim(-25,15)

N3MATave<-N3MATave+ ylab(expression(paste("Net biomass change (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))
N3MATave<-N3MATave+ xlab(expression(paste(MAT[ave]," (",~degree*C,")")))
N3MATave<-N3MATave+ annotate("text", x = 3, y =10, label = "italic(P) <0.001", parse=TRUE, size=4) 
N3MATave

summary(ma)$co
anova(ma)

h3 <- ggplotGrob(N3MATave)

#logSA
coefmean<-summary(ma)$co[,1]
can$AGB_logSA<-resid(ma)+coefmean[1]+coefmean["logSA"]*can$logSA

N3logSA<-ggplot()+
  geom_point(data=can,aes(x=SA1,y=AGB_logSA),size=0.1,col="lightblue")+
  stat_smooth(data=can,aes(x=SA1,y=AGB_logSA),method="lm",formula=y~log(x))+
  theme(axis.line.x = element_line(),axis.line.y = element_line(),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        panel.border = element_blank(),
        panel.background = element_blank())+
  ylim(-25,15)

N3logSA<-N3logSA+ ylab(expression(paste("Net biomass change (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))
N3logSA<-N3logSA+ xlab(expression(paste("Stand age (years)")))
N3logSA<-N3logSA+ annotate("text", x = 150, y =10, label = "italic(P) <0.001", parse=TRUE, size=4) 
N3logSA

summary(ma)$co
anova(ma)

i3 <- ggplotGrob(N3logSA)

dev.list() # s܂BŁARStudioGD̕\Ȃ΁A̃R[hsĂB
RStudioGD() #@łƂǂɂȂƂ܂B

#### Bind figures ####
rbind_gtable_max <- function(...){
  gtl <- list(...)
  stopifnot(all(sapply(gtl, is.gtable)))
  bind2 <- function (x, y) 
  {
    stopifnot(ncol(x) == ncol(y))
    if (nrow(x) == 0) 
      return(y)
    if (nrow(y) == 0) 
      return(x)
    y$layout$t <- y$layout$t + nrow(x)
    y$layout$b <- y$layout$b + nrow(x)
    x$layout <- rbind(x$layout, y$layout)
    x$heights <- gtable:::insert.unit(x$heights, y$heights)
    x$rownames <- c(x$rownames, y$rownames)
    x$widths <- grid::unit.pmax(x$widths, y$widths)
    x$grobs <- append(x$grobs, y$grobs)
    x
  }
  
  Reduce(bind2, gtl)
}

#g1 <- ggplotGrob(G3CMIave) should be done right after show graphs

maxWidth = unit.pmax(g1$widths[2:3], g2$widths[2:3], g3$widths[2:3])
g1$widths[2:3] <- maxWidth
g2$widths[2:3] <- maxWidth
g3$widths[2:3] <- maxWidth

maxWidth = unit.pmax(h1$widths[2:3], h2$widths[2:3], h3$widths[2:3])
h1$widths[2:3] <- maxWidth
h2$widths[2:3] <- maxWidth
h3$widths[2:3] <- maxWidth

maxWidth = unit.pmax(i1$widths[2:3], i2$widths[2:3], i3$widths[2:3])
i1$widths[2:3] <- maxWidth
i2$widths[2:3] <- maxWidth
i3$widths[2:3] <- maxWidth

tiff("Fig2_abiotic_effects.tiff",width=3000,height=3000,res=300,compression="lzw")#with ylim
tiff("FigS_abiotic_effects.tiff",width=3000,height=3000,res=300,compression="lzw")#without ylim
grid.draw(cbind(rbind(i1,i2,i3,size="last"),rbind(g1,g2,g3,size="last"),rbind(h1,h2,h3,size="last"),
                size="first"))
grid.text("(a)",x=unit(0.02,"npc"),y=unit(0.993,"npc"),gp=gpar(fontsize=14,font=2))
grid.text("(b)",x=unit(0.35,"npc"),y=unit(0.993,"npc"),gp=gpar(fontsize=14,font=2))
grid.text("(c)",x=unit(0.68,"npc"),y=unit(0.993,"npc"),gp=gpar(fontsize=14,font=2))

dev.off()
