#Relationship between growth, mort, and NBC - asked by GEB Editor
library(lmodel2)

G_M<-lmodel2(AGBGI ~ AGBM, data=can, nperm=1000)
G_M
plot(G_M,main=expression(paste(italic(r)^{2}," = 0.004")),
     xlab=expression(paste("Mortality (Mg ", " ", ha^{-1}, " ", yr^{-1},")")),
     ylab=expression(paste("Growth (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))

G_N<-lmodel2(AGBGI ~ AGB, data=can, nperm=1000)
G_N
plot(G_N,main=expression(paste(italic(r)^{2}," = 0.265")),
     xlab=expression(paste("Net biomass change (Mg ", " ", ha^{-1}, " ", yr^{-1},")")),
     ylab=expression(paste("Growth (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))

M_N<-lmodel2(AGBM ~ AGB, data=can, nperm=1000)
M_N
plot(M_N,main=expression(paste(italic(r)^{2}," = 0.673")),
     xlab=expression(paste("Net biomass change (Mg ", " ", ha^{-1}, " ", yr^{-1},")")),
     ylab=expression(paste("Mortality (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))




Grow_Mort<-ggplot()+
  geom_point(data=can,aes(x=AGBGI,y=AGB),size=0.1,col="lightblue")+
  stat_smooth(data=can,aes(x=AGBGI,y=AGB),method="lm",formula=y~x)+
  theme(axis.line.y = element_line(),
        legend.title.align  = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour=NA))+
  ylab(expression(paste("Mortality (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  xlab(expression(paste("Growth (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  annotate("text", x = 150, y =8, label = "italic(P) == 0.075", parse=TRUE, size=4)+
  annotate("text", x = 150, y =8, label = "italic(P) == 0.075", parse=TRUE, size=4)
Grow_Mort