#Species richness effect by CMIave and MATave
mbnbsp<-lmer(AGBGI~sqrtPS+
           logSA+CMIave+MATave+sqrtnbsp+logPC1+
           logSA:sqrtnbsp+
           logSA:logPC1+
           logSA:CMIave+
           logSA:MATave+
           CMIave:MATave+
           sqrtnbsp:logPC1+
           CMIave:sqrtnbsp+
           MATave:sqrtnbsp+
           CMIave:logPC1+
           MATave:logPC1+
           (1|PLOT_ID)+(1|Prov),can)
summary(mbnbsp)$co

mcnbsp<-lmer(AGBM~PS+
           logSA+CMIave+MATave+Spnbsp+sqrtPC1+
           logSA:Spnbsp+
           logSA:sqrtPC1+
           logSA:CMIave+
           logSA:MATave+
           CMIave:MATave+
           Spnbsp:sqrtPC1+
           CMIave:Spnbsp+
           MATave:Spnbsp+
           CMIave:sqrtPC1+
           MATave:sqrtPC1+
           (1|PLOT_ID)+(1|Prov),can)
summary(mcnbsp)$co

manbsp<-lmer(AGB~logPS+
           logSA+CMIave+MATave+Spnbsp+logPC1+
           logSA:Spnbsp+
           logSA:logPC1+
           logSA:CMIave+
           logSA:MATave+
           CMIave:MATave+
           Spnbsp:logPC1+
           CMIave:Spnbsp+
           MATave:Spnbsp+
           CMIave:logPC1+
           MATave:logPC1+
           (1|PLOT_ID)+(1|Prov),can)
summary(manbsp)$co

#Standardized richness by area
mbstd_nbsp<-lmer(AGBGI~sqrtPS+
               logSA+CMIave+MATave+Spstd_nbsp+logPC1+
               logSA:Spstd_nbsp+
               logSA:logPC1+
               logSA:CMIave+
               logSA:MATave+
               CMIave:MATave+
               Spstd_nbsp:logPC1+
               CMIave:Spstd_nbsp+
               MATave:Spstd_nbsp+
               CMIave:logPC1+
               MATave:logPC1+
               (1|PLOT_ID)+(1|Prov),can)
summary(mbstd_nbsp)$co

mcstd_nbsp<-lmer(AGBM~PS+
               logSA+CMIave+MATave+logstd_nbsp+sqrtPC1+
               logSA:logstd_nbsp+
               logSA:sqrtPC1+
               logSA:CMIave+
               logSA:MATave+
               CMIave:MATave+
               logstd_nbsp:sqrtPC1+
               CMIave:logstd_nbsp+
               MATave:logstd_nbsp+
               CMIave:sqrtPC1+
               MATave:sqrtPC1+
               (1|PLOT_ID)+(1|Prov),can)
summary(mcstd_nbsp)$co

mastd_nbsp<-lmer(AGB~logPS+
               logSA+CMIave+MATave+logstd_nbsp+logPC1+
               logSA:logstd_nbsp+
               logSA:logPC1+
               logSA:CMIave+
               logSA:MATave+
               CMIave:MATave+
               logstd_nbsp:logPC1+
               CMIave:logstd_nbsp+
               MATave:logstd_nbsp+
               CMIave:logPC1+
               MATave:logPC1+
               (1|PLOT_ID)+(1|Prov),can)
summary(mastd_nbsp)$co

#### Species richness ####
#### Growth ####
#nbsp effects depends on CMIave
coefmean<-summary(mbnbsp)$co[,1]
coefSE<-summary(mbnbsp)$co[,2]
plot_df<-expand.grid(sqrtnbsp=can$sqrtnbsp,
                     CMIave=round(c(seq(quantile(can$CMIave,0.05)[[1]],
                                        quantile(can$CMIave,0.95)[[1]],length=4),0),2)) %>%
  mutate(mean=coefmean["(Intercept)"]+coefmean["CMIave"]*CMIave+coefmean["sqrtnbsp"]*sqrtnbsp+
           coefmean["CMIave:sqrtnbsp"]*CMIave*sqrtnbsp) %>% 
  mutate(up=coefmean["(Intercept)"]+coefmean["CMIave"]*CMIave+coefmean["sqrtnbsp"]*sqrtnbsp+
           coefmean["CMIave:sqrtnbsp"]*CMIave*sqrtnbsp+
           coefSE["(Intercept)"]+coefSE["CMIave"]*CMIave+coefSE["sqrtnbsp"]*sqrtnbsp+
           coefSE["CMIave:sqrtnbsp"]*CMIave*sqrtnbsp) %>% 
  mutate(low=coefmean["(Intercept)"]+coefmean["CMIave"]*CMIave+coefmean["sqrtnbsp"]*sqrtnbsp+
           coefmean["CMIave:sqrtnbsp"]*CMIave*sqrtnbsp-
           (coefSE["(Intercept)"]+coefSE["CMIave"]*CMIave+coefSE["sqrtnbsp"]*sqrtnbsp+
              coefSE["CMIave:sqrtnbsp"]*CMIave*sqrtnbsp)) %>% 
  as.data.table()
plot_df[,":="(sqrtnbsp1=sqrtnbsp*sd(can$sqrtnbsp1)+mean(can$sqrtnbsp1),CMIave1=CMIave*sd(can$CMIave1)+mean(can$CMIave1))] %>% 
  .[,":="(CMIave=as.factor(round(CMIave,2)),CMIave1=as.factor(round(CMIave1,2)))]
head(plot_df);nrow(plot_df)

CMI_Grow<-ggplot(plot_df,aes(y=mean,x=(sqrtnbsp1)^2,color=CMIave))+
  theme_classic()+
  geom_ribbon(aes(x=(sqrtnbsp1)^2,ymin=low,ymax=up,
                  group=CMIave),fill="royalblue",col=NA,alpha=0.08)+
  geom_line(size=1.1)+
  scale_colour_manual(values=c("maroon4","maroon2","black","lightslateblue","dodgerblue4"),name="",
                      labels=c("-0.83841231"="1.00","-0.4126802475"="2.12","0.013051815"="3.25",
                               "0.4387838775"="4.37","0.86451594"="5.31","0"="Mean"),
                      guide=guide_legend(override.aes = list(colour=NA,fill=NA)))+
  xlab("")+
  ylab(expression(paste("Growth (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  theme(axis.title.x=element_blank(), axis.text.x=element_blank(), axis.ticks.x=element_blank(),
        axis.line.x= element_blank(), axis.line.y = element_line(),
        legend.title.align = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour=NA))
CMI_Grow<-CMI_Grow+annotate("text",x= 6,y=7,label="sqrt(italic(S)):~italic(P) <0.001",parse=TRUE,size=3.5)
CMI_Grow<-CMI_Grow+annotate("text",x= 6,y=6.5,label="CMIave%*%sqrt(italic(S)):~italic(P) <0.001",parse=TRUE,size=3.5)
CMI_Grow

summary(mbnbsp)$co

#nbsp effect depends on MATave
coefmean<-summary(mbnbsp)$co[,1]
coefSE<-summary(mbnbsp)$co[,2]
plot_df<-expand.grid(sqrtnbsp=can$sqrtnbsp,
                     MATave=round(c(seq(quantile(can$MATave,0.05)[[1]],
                                        quantile(can$MATave,0.95)[[1]],length=4),0),2)) %>%
  mutate(mean=coefmean["(Intercept)"]+coefmean["MATave"]*MATave+coefmean["sqrtnbsp"]*sqrtnbsp+
           coefmean["MATave:sqrtnbsp"]*MATave*sqrtnbsp) %>% 
  mutate(up=coefmean["(Intercept)"]+coefmean["MATave"]*MATave+coefmean["sqrtnbsp"]*sqrtnbsp+
           coefmean["MATave:sqrtnbsp"]*MATave*sqrtnbsp+
           coefSE["(Intercept)"]+coefSE["MATave"]*MATave+coefSE["sqrtnbsp"]*sqrtnbsp+
           coefSE["MATave:sqrtnbsp"]*MATave*sqrtnbsp) %>% 
  mutate(low=coefmean["(Intercept)"]+coefmean["MATave"]*MATave+coefmean["sqrtnbsp"]*sqrtnbsp+
           coefmean["MATave:sqrtnbsp"]*MATave*sqrtnbsp-
           (coefSE["(Intercept)"]+coefSE["MATave"]*MATave+coefSE["sqrtnbsp"]*sqrtnbsp+
              coefSE["MATave:sqrtnbsp"]*MATave*sqrtnbsp)) %>% 
  as.data.table()
plot_df[,":="(sqrtnbsp1=sqrtnbsp*sd(can$sqrtnbsp1)+mean(can$sqrtnbsp1),MATave1=MATave*sd(can$MATave1)+mean(can$MATave1))] %>% 
  .[,":="(MATave=as.factor(round(MATave,2)),MATave1=as.factor(round(MATave1,2)))]
head(plot_df);nrow(plot_df)

MAT_Grow<-ggplot(plot_df,aes(y=mean,x=(sqrtnbsp1)^2,color=MATave))+
  theme_classic()+
  geom_ribbon(aes(x=(sqrtnbsp1)^2,ymin=low,ymax=up,
                  group=MATave),fill="royalblue",col=NA,alpha=0.08)+
  geom_line(size=1.1)+
  scale_colour_manual(values=c("violetred3","violet","black","turquoise","turquoise4"),name="",
                      labels=c("-0.83841231"="1.00", "-0.4126802475"="2.12","0.013051815"="3.25",
                               "0.4387838775"="4.37","0.86451594"="5.31","0"="Mean"),
                      guide=guide_legend(override.aes = list(colour=NA,fill=NA)))+
  xlab("")+
  ylab(expression(paste("Growth (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  theme(axis.title.x=element_blank(), axis.text.x=element_blank(), axis.ticks.x=element_blank(),
        axis.line.x= element_blank(), axis.line.y = element_line(),
        legend.title.align  = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour=NA))
MAT_Grow<-MAT_Grow+annotate("text",x= 6,y=6,label="MATave%*%sqrt(italic(S)):~italic(P) <0.001",parse=TRUE,size=3.5)
MAT_Grow

summary(mbnbsp)$co

#### Mortality ####
#nbsp effects depends on CMIave
coefmean<-summary(mcnbsp)$co[,1]
coefSE<-summary(mcnbsp)$co[,2]
plot_df<-expand.grid(Spnbsp=can$Spnbsp,
                     CMIave=round(c(seq(quantile(can$CMIave,0.05)[[1]],
                                        quantile(can$CMIave,0.95)[[1]],length=4),0),2)) %>%
  
  mutate(mean=coefmean["(Intercept)"]+coefmean["CMIave"]*CMIave+coefmean["Spnbsp"]*Spnbsp+
           coefmean["CMIave:Spnbsp"]*CMIave*Spnbsp) %>% 
  mutate(up=coefmean["(Intercept)"]+coefmean["CMIave"]*CMIave+coefmean["Spnbsp"]*Spnbsp+
           coefmean["CMIave:Spnbsp"]*CMIave*Spnbsp+
           coefSE["(Intercept)"]+coefSE["CMIave"]*CMIave+coefSE["Spnbsp"]*Spnbsp+
           coefSE["CMIave:Spnbsp"]*CMIave*Spnbsp) %>% 
  mutate(low=coefmean["(Intercept)"]+coefmean["CMIave"]*CMIave+coefmean["Spnbsp"]*Spnbsp+
           coefmean["CMIave:Spnbsp"]*CMIave*Spnbsp-
           (coefSE["(Intercept)"]+coefSE["CMIave"]*CMIave+coefSE["Spnbsp"]*Spnbsp+
              coefSE["CMIave:Spnbsp"]*CMIave*Spnbsp)) %>% 
  as.data.table()
plot_df[,":="(Spnbsp1=Spnbsp*sd(can$Spnbsp1)+mean(can$Spnbsp1),CMIave1=CMIave*sd(can$CMIave1)+mean(can$CMIave1))] %>% 
  .[,":="(CMIave=as.factor(round(CMIave,2)),CMIave1=as.factor(round(CMIave1,2)))]
head(plot_df);nrow(plot_df)

seq(quantile(can$CMIave1,0.05)[[1]],quantile(can$CMIave1,0.95)[[1]],length=4);mean(can$CMIave1)
CMI_Mort<-ggplot(plot_df,aes(y=mean,x=(Spnbsp1),color=CMIave))+
  theme_classic()+
  geom_ribbon(aes(x=(Spnbsp1), ymin=low,ymax=up,group=CMIave),fill="royalblue",col=NA,alpha=0.08)+
  geom_line(size=1.1)+
  scale_colour_manual(values=c("maroon4","maroon2","black","lightslateblue","dodgerblue4"),name="CMIave (cm)",
                      labels=c("-1.42"="1.2", "-0.54"="35.8","0.33"="70.3","1.2"="104.8","0"="Mean (57.4)"))+
  xlab("")+
  ylab(expression(paste("Mortality (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  theme(axis.title.x=element_blank(), axis.text.x=element_blank(), axis.ticks.x=element_blank(),
        axis.line.x= element_blank(), axis.line.y = element_line(),
        legend.title.align  = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour="black"))
CMI_Mort<-CMI_Mort+annotate("text",x= 6,y=2.6,label="italic(S):~italic(P) <0.001",parse=TRUE,size=3.5)
CMI_Mort<-CMI_Mort+annotate("text",x= 6,y=2.5,label="CMIave%*%italic(S):~italic(P) == 0.002",parse=TRUE,size=3.5)
CMI_Mort

summary(mcnbsp)$co

#nbsp effect depends on MATave
coefmean<-summary(mcnbsp)$co[,1]
coefSE<-summary(mcnbsp)$co[,2]
plot_df<-expand.grid(Spnbsp=can$Spnbsp,
                     MATave=round(c(seq(quantile(can$MATave,0.05)[[1]],
                                        quantile(can$MATave,0.95)[[1]],length=4),0),2)) %>%
  mutate(mean=coefmean["(Intercept)"]+coefmean["MATave"]*MATave+coefmean["Spnbsp"]*Spnbsp+
           coefmean["MATave:Spnbsp"]*MATave*Spnbsp) %>% 
  mutate(up=coefmean["(Intercept)"]+coefmean["MATave"]*MATave+coefmean["Spnbsp"]*Spnbsp+
           coefmean["MATave:Spnbsp"]*MATave*Spnbsp+
           coefSE["(Intercept)"]+coefSE["MATave"]*MATave+coefSE["Spnbsp"]*Spnbsp+
           coefSE["MATave:Spnbsp"]*MATave*Spnbsp) %>% 
  mutate(low=coefmean["(Intercept)"]+coefmean["MATave"]*MATave+coefmean["Spnbsp"]*Spnbsp+
           coefmean["MATave:Spnbsp"]*MATave*Spnbsp-
           (coefSE["(Intercept)"]+coefSE["MATave"]*MATave+coefSE["Spnbsp"]*Spnbsp+
              coefSE["MATave:Spnbsp"]*MATave*Spnbsp)) %>% 
  as.data.table()

plot_df[,":="(Spnbsp1=Spnbsp*sd(can$Spnbsp1)+mean(can$Spnbsp1),MATave1=MATave*sd(can$MATave1)+mean(can$MATave1))] %>% 
  .[,":="(MATave=as.factor(round(MATave,2)),MATave1=as.factor(round(MATave1,2)))]
head(plot_df);nrow(plot_df)

seq(quantile(can$MATave1,0.05)[[1]],quantile(can$MATave1,0.95)[[1]],length=4);mean(can$MATave1)
MAT_Mort<-ggplot(plot_df,aes(y=mean,x=(Spnbsp1),color=MATave))+
  theme_classic()+
  geom_ribbon(aes(x=(Spnbsp1), ymin=low,ymax=up,group=MATave),fill="royalblue",col=NA,alpha=0.08)+
  geom_line(size=1.1)+
  scale_colour_manual(values=c("violetred3","violet","black","turquoise","turquoise4"),name=expression(paste("MATave (",~degree*C,")")),
                      labels=c("-1.66"="-1.6", "-0.58"="1.3","0.5"="4.2","1.58"="7.1","0"="Mean (2.9)"))+
  xlab("")+
  ylab(expression(paste("Mortality (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  theme(axis.title.x=element_blank(), axis.text.x=element_blank(), axis.ticks.x=element_blank(),
        axis.line.x= element_blank(), axis.line.y = element_line(),
        legend.title.align = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour="black"))
MAT_Mort<-MAT_Mort+annotate("text",x= 6,y=2.7,label="MATave%*%italic(S):~italic(P) == 0.377",parse=TRUE,size=3.5)
MAT_Mort

summary(mcnbsp)$co

#### Net biomass change ####
#nbsp effects depends on CMIave
coefmean<-summary(manbsp)$co[,1]
coefSE<-summary(manbsp)$co[,2]
plot_df<-expand.grid(Spnbsp=can$Spnbsp,
                     CMIave=round(c(seq(quantile(can$CMIave,0.05)[[1]],
                                        quantile(can$CMIave,0.95)[[1]],length=4),0),2)) %>%
  mutate(mean=coefmean["(Intercept)"]+coefmean["CMIave"]*CMIave+coefmean["Spnbsp"]*Spnbsp+
           coefmean["CMIave:Spnbsp"]*CMIave*Spnbsp) %>% 
  mutate(up=coefmean["(Intercept)"]+coefmean["CMIave"]*CMIave+coefmean["Spnbsp"]*Spnbsp+
           coefmean["CMIave:Spnbsp"]*CMIave*Spnbsp+
           coefSE["(Intercept)"]+coefSE["CMIave"]*CMIave+coefSE["Spnbsp"]*Spnbsp+
           coefSE["CMIave:Spnbsp"]*CMIave*Spnbsp) %>% 
  mutate(low=coefmean["(Intercept)"]+coefmean["CMIave"]*CMIave+coefmean["Spnbsp"]*Spnbsp+
           coefmean["CMIave:Spnbsp"]*CMIave*Spnbsp-
           (coefSE["(Intercept)"]+coefSE["CMIave"]*CMIave+coefSE["Spnbsp"]*Spnbsp+
              coefSE["CMIave:Spnbsp"]*CMIave*Spnbsp)) %>% 
  as.data.table()
plot_df[,":="(Spnbsp1=Spnbsp*sd(can$Spnbsp1)+mean(can$Spnbsp1),CMIave1=CMIave*sd(can$CMIave1)+mean(can$CMIave1))] %>% 
  .[,":="(CMIave=as.factor(round(CMIave,2)),CMIave1=as.factor(round(CMIave1,2)))]
head(plot_df);nrow(plot_df)

CMI_NBC<-ggplot(plot_df,aes(y=mean,x=(Spnbsp1),color=CMIave))+
  theme_classic()+
  geom_ribbon(aes(x=(Spnbsp1), ymin=low,ymax=up,group=CMIave),fill="royalblue",col=NA,alpha=0.08)+
  geom_line(size=1.1)+
  scale_colour_manual(values=c("maroon4","maroon2","black","lightslateblue","dodgerblue4"),name="",
                      labels=c("-0.83841231"="1.00", "-0.4126802475"="2.12","0.013051815"="3.25",
                               "0.4387838775"="4.37","0.86451594"="5.31","0"="Mean"),
                      guide=guide_legend(override.aes = list(colour=NA,fill=NA)))+
  xlab(expression(paste("Species richness (",italic(S),")")))+
  ylab(expression(paste("Net biomass change (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  theme(axis.line.y = element_line(),
        legend.title.align = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour=NA))+
  scale_x_continuous(breaks=c(1,3,5,7,9,11))
CMI_NBC<-CMI_NBC+annotate("text",x= 6,y=5.5,label="italic(S):~italic(P) <0.001",parse=TRUE,size=3.5)
CMI_NBC<-CMI_NBC+annotate("text",x= 6,y=5,label="CMIave%*%italic(S):~italic(P) <0.001",parse=TRUE,size=3.5)
CMI_NBC

summary(manbsp)$co

#nbsp effect depends on MATave
coefmean<-summary(manbsp)$co[,1]
coefSE<-summary(manbsp)$co[,2]
plot_df<-expand.grid(Spnbsp=can$Spnbsp,
                     MATave=round(c(seq(quantile(can$MATave,0.05)[[1]],
                                        quantile(can$MATave,0.95)[[1]],length=4),0),2)) %>%
  mutate(mean=coefmean["(Intercept)"]+coefmean["MATave"]*MATave+coefmean["Spnbsp"]*Spnbsp+
           coefmean["MATave:Spnbsp"]*MATave*Spnbsp) %>% 
  mutate(up=coefmean["(Intercept)"]+coefmean["MATave"]*MATave+coefmean["Spnbsp"]*Spnbsp+
           coefmean["MATave:Spnbsp"]*MATave*Spnbsp+
           coefSE["(Intercept)"]+coefSE["MATave"]*MATave+coefSE["Spnbsp"]*Spnbsp+
           coefSE["MATave:Spnbsp"]*MATave*Spnbsp) %>% 
  mutate(low=coefmean["(Intercept)"]+coefmean["MATave"]*MATave+coefmean["Spnbsp"]*Spnbsp+
           coefmean["MATave:Spnbsp"]*MATave*Spnbsp-
           (coefSE["(Intercept)"]+coefSE["MATave"]*MATave+coefSE["Spnbsp"]*Spnbsp+
              coefSE["MATave:Spnbsp"]*MATave*Spnbsp)) %>% 
  as.data.table()
plot_df[,":="(Spnbsp1=Spnbsp*sd(can$Spnbsp1)+mean(can$Spnbsp1),MATave1=MATave*sd(can$MATave1)+mean(can$MATave1))] %>% 
  .[,":="(MATave=as.factor(round(MATave,2)),MATave1=as.factor(round(MATave1,2)))]
head(plot_df);nrow(plot_df)

MAT_NBC<-ggplot(plot_df,aes(y=mean,x=(Spnbsp1),color=MATave))+
  theme_classic()+
  geom_ribbon(aes(x=(Spnbsp1), ymin=low,ymax=up,group=MATave),fill="royalblue",col=NA,alpha=0.08)+
  geom_line(size=1.1)+
  scale_colour_manual(values=c("violetred3","violet","black","turquoise","turquoise4"),name="",
                      labels=c("-0.83841231"="1.00", "-0.4126802475"="2.12","0.013051815"="3.25",
                               "0.4387838775"="4.37","0.86451594"="5.31","0"="Mean"),
                      guide=guide_legend(override.aes = list(colour=NA,fill=NA)))+
  xlab(expression(paste("Species richness (",italic(S),")")))+
  ylab(expression(paste("Net biomass change (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  theme(axis.line.y = element_line(),
        legend.title.align  = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour=NA))+
  scale_x_continuous(breaks=c(1,3,5,7,9,11))
MAT_NBC<-MAT_NBC+annotate("text",x= 6,y=4,label="MATave%*%italic(S):~italic(P) == 0.005",parse=TRUE,size=3.5)
MAT_NBC

summary(manbsp)$co

#### Standardized richness by plot size (Sarea) ####
#### Growth ####
#std_nbsp effects depends on CMIave
coefmean<-summary(mbstd_nbsp)$co[,1]
coefSE<-summary(mbstd_nbsp)$co[,2]
plot_df<-expand.grid(Spstd_nbsp=can$Spstd_nbsp,
                     CMIave=round(c(seq(quantile(can$CMIave,0.05)[[1]],
                                        quantile(can$CMIave,0.95)[[1]],length=4),0),2)) %>%
  mutate(mean=coefmean["(Intercept)"]+coefmean["CMIave"]*CMIave+coefmean["Spstd_nbsp"]*Spstd_nbsp+
           coefmean["CMIave:Spstd_nbsp"]*CMIave*Spstd_nbsp) %>% 
  mutate(up=coefmean["(Intercept)"]+coefmean["CMIave"]*CMIave+coefmean["Spstd_nbsp"]*Spstd_nbsp+
           coefmean["CMIave:Spstd_nbsp"]*CMIave*Spstd_nbsp+
           coefSE["(Intercept)"]+coefSE["CMIave"]*CMIave+coefSE["Spstd_nbsp"]*Spstd_nbsp+
           coefSE["CMIave:Spstd_nbsp"]*CMIave*Spstd_nbsp) %>% 
  mutate(low=coefmean["(Intercept)"]+coefmean["CMIave"]*CMIave+coefmean["Spstd_nbsp"]*Spstd_nbsp+
           coefmean["CMIave:Spstd_nbsp"]*CMIave*Spstd_nbsp-
           (coefSE["(Intercept)"]+coefSE["CMIave"]*CMIave+coefSE["Spstd_nbsp"]*Spstd_nbsp+
              coefSE["CMIave:Spstd_nbsp"]*CMIave*Spstd_nbsp)) %>% 
  as.data.table()
plot_df[,":="(Spstd_nbsp1=Spstd_nbsp*sd(can$Spstd_nbsp1)+mean(can$Spstd_nbsp1),CMIave1=CMIave*sd(can$CMIave1)+mean(can$CMIave1))] %>% 
  .[,":="(CMIave=as.factor(round(CMIave,2)),CMIave1=as.factor(round(CMIave1,2)))]
head(plot_df);nrow(plot_df)

CMI_Grow_stdnbsp<-ggplot(plot_df,aes(y=mean,x=(Spstd_nbsp1),color=CMIave))+
  theme_classic()+
  geom_ribbon(aes(x=(Spstd_nbsp1),ymin=low,ymax=up,
                  group=CMIave),fill="royalblue",col=NA,alpha=0.08)+
  geom_line(size=1.1)+
  scale_colour_manual(values=c("maroon4","maroon2","black","lightslateblue","dodgerblue4"),name="",
                      labels=c("-0.83841231"="1.00","-0.4126802475"="2.12","0.013051815"="3.25",
                               "0.4387838775"="4.37","0.86451594"="5.31","0"="Mean"),
                      guide=guide_legend(override.aes = list(colour=NA,fill=NA)))+
  xlab("")+
  ylab(expression(paste("Growth (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  theme(axis.title.x=element_blank(), axis.text.x=element_blank(), axis.ticks.x=element_blank(),
        axis.line.x= element_blank(), axis.line.y = element_line(),
        legend.title.align = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour=NA))
CMI_Grow_stdnbsp<-CMI_Grow_stdnbsp+annotate("text",x=6,y=7,
                                            label=expression(paste(italic(S)[area],": ",italic(P)," <0.001")),
                                            parse=TRUE,size=3.5)
CMI_Grow_stdnbsp<-CMI_Grow_stdnbsp+annotate("text",x=6,y=6.5,
                                            label=expression(paste(CMIave%*%italic(S)[area],": ",italic(P)," <0.001")),
                                            parse=TRUE,size=3.5)
CMI_Grow_stdnbsp

summary(mbstd_nbsp)$co

#std_nbsp effect depends on MATave
coefmean<-summary(mbstd_nbsp)$co[,1]
coefSE<-summary(mbstd_nbsp)$co[,2]
plot_df<-expand.grid(Spstd_nbsp=can$Spstd_nbsp,
                     MATave=round(c(seq(quantile(can$MATave,0.05)[[1]],
                                        quantile(can$MATave,0.95)[[1]],length=4),0),2)) %>%
  mutate(mean=coefmean["(Intercept)"]+coefmean["MATave"]*MATave+coefmean["Spstd_nbsp"]*Spstd_nbsp+
           coefmean["MATave:Spstd_nbsp"]*MATave*Spstd_nbsp) %>% 
  mutate(up=coefmean["(Intercept)"]+coefmean["MATave"]*MATave+coefmean["Spstd_nbsp"]*Spstd_nbsp+
           coefmean["MATave:Spstd_nbsp"]*MATave*Spstd_nbsp+
           coefSE["(Intercept)"]+coefSE["MATave"]*MATave+coefSE["Spstd_nbsp"]*Spstd_nbsp+
           coefSE["MATave:Spstd_nbsp"]*MATave*Spstd_nbsp) %>% 
  mutate(low=coefmean["(Intercept)"]+coefmean["MATave"]*MATave+coefmean["Spstd_nbsp"]*Spstd_nbsp+
           coefmean["MATave:Spstd_nbsp"]*MATave*Spstd_nbsp-
           (coefSE["(Intercept)"]+coefSE["MATave"]*MATave+coefSE["Spstd_nbsp"]*Spstd_nbsp+
              coefSE["MATave:Spstd_nbsp"]*MATave*Spstd_nbsp)) %>% 
  as.data.table()
plot_df[,":="(Spstd_nbsp1=Spstd_nbsp*sd(can$Spstd_nbsp1)+mean(can$Spstd_nbsp1),MATave1=MATave*sd(can$MATave1)+mean(can$MATave1))] %>% 
  .[,":="(MATave=as.factor(round(MATave,2)),MATave1=as.factor(round(MATave1,2)))]
head(plot_df);nrow(plot_df)

MAT_Grow_stdnbsp<-ggplot(plot_df,aes(y=mean,x=(Spstd_nbsp1),color=MATave))+
  theme_classic()+
  geom_ribbon(aes(x=(Spstd_nbsp1),ymin=low,ymax=up,
                  group=MATave),fill="royalblue",col=NA,alpha=0.08)+
  geom_line(size=1.1)+
  scale_colour_manual(values=c("violetred3","violet","black","turquoise","turquoise4"),name="",
                      labels=c("-0.83841231"="1.00", "-0.4126802475"="2.12","0.013051815"="3.25",
                               "0.4387838775"="4.37","0.86451594"="5.31","0"="Mean"),
                      guide=guide_legend(override.aes = list(colour=NA,fill=NA)))+
  xlab("")+
  ylab(expression(paste("Growth (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  theme(axis.title.x=element_blank(), axis.text.x=element_blank(), axis.ticks.x=element_blank(),
        axis.line.x= element_blank(), axis.line.y = element_line(),
        legend.title.align  = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour=NA))
MAT_Grow_stdnbsp<-MAT_Grow_stdnbsp+annotate("text",x= 6,y=6,
                                            label=expression(paste(MATave%*%italic(S)[area],": ",italic(P)," <0.001")),
                                            parse=TRUE,size=3.5)
MAT_Grow_stdnbsp

summary(mbstd_nbsp)$co

#### Mortality ####
#std_nbsp effects depends on CMIave
coefmean<-summary(mcstd_nbsp)$co[,1]
coefSE<-summary(mcstd_nbsp)$co[,2]
plot_df<-expand.grid(logstd_nbsp=can$logstd_nbsp,
                     CMIave=round(c(seq(quantile(can$CMIave,0.05)[[1]],
                                        quantile(can$CMIave,0.95)[[1]],length=4),0),2)) %>%
  
  mutate(mean=coefmean["(Intercept)"]+coefmean["CMIave"]*CMIave+coefmean["logstd_nbsp"]*logstd_nbsp+
           coefmean["CMIave:logstd_nbsp"]*CMIave*logstd_nbsp) %>% 
  mutate(up=coefmean["(Intercept)"]+coefmean["CMIave"]*CMIave+coefmean["logstd_nbsp"]*logstd_nbsp+
           coefmean["CMIave:logstd_nbsp"]*CMIave*logstd_nbsp+
           coefSE["(Intercept)"]+coefSE["CMIave"]*CMIave+coefSE["logstd_nbsp"]*logstd_nbsp+
           coefSE["CMIave:logstd_nbsp"]*CMIave*logstd_nbsp) %>% 
  mutate(low=coefmean["(Intercept)"]+coefmean["CMIave"]*CMIave+coefmean["logstd_nbsp"]*logstd_nbsp+
           coefmean["CMIave:logstd_nbsp"]*CMIave*logstd_nbsp-
           (coefSE["(Intercept)"]+coefSE["CMIave"]*CMIave+coefSE["logstd_nbsp"]*logstd_nbsp+
              coefSE["CMIave:logstd_nbsp"]*CMIave*logstd_nbsp)) %>% 
  as.data.table()
plot_df[,":="(logstd_nbsp1=logstd_nbsp*sd(can$logstd_nbsp1)+mean(can$logstd_nbsp1),CMIave1=CMIave*sd(can$CMIave1)+mean(can$CMIave1))] %>% 
  .[,":="(CMIave=as.factor(round(CMIave,2)),CMIave1=as.factor(round(CMIave1,2)))]
head(plot_df);nrow(plot_df)

seq(quantile(can$CMIave1,0.05)[[1]],quantile(can$CMIave1,0.95)[[1]],length=4);mean(can$CMIave1)
CMI_Mort_stdnbsp<-ggplot(plot_df,aes(y=mean,x=exp(logstd_nbsp1),color=CMIave))+
  theme_classic()+
  geom_ribbon(aes(x=exp(logstd_nbsp1), ymin=low,ymax=up,group=CMIave),fill="royalblue",col=NA,alpha=0.08)+
  geom_line(size=1.1)+
  scale_colour_manual(values=c("maroon4","maroon2","black","lightslateblue","dodgerblue4"),name="CMIave (cm)",
                      labels=c("-1.42"="1.2", "-0.54"="35.8","0.33"="70.3","1.2"="104.8","0"="Mean (57.4)"))+
  xlab("")+
  ylab(expression(paste("Mortality (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  theme(axis.title.x=element_blank(), axis.text.x=element_blank(), axis.ticks.x=element_blank(),
        axis.line.x= element_blank(), axis.line.y = element_line(),
        legend.title.align  = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour="black"))
CMI_Mort_stdnbsp<-CMI_Mort_stdnbsp+annotate("text",x= 6,y=3,
                                            label=expression(paste("ln(",italic(S)[area],"): ",italic(P)," <0.001")),
                                            parse=TRUE,size=3.5)
CMI_Mort_stdnbsp<-CMI_Mort_stdnbsp+annotate("text",x= 6,y=2.7,
                                            label=expression(paste(CMIave%*%"ln(",italic(S)[area],"): ",italic(P)," <0.001")),
                                            parse=TRUE,size=3.5)
CMI_Mort_stdnbsp

summary(mcstd_nbsp)$co

#std_nbsp effect depends on MATave
coefmean<-summary(mcstd_nbsp)$co[,1]
coefSE<-summary(mcstd_nbsp)$co[,2]
plot_df<-expand.grid(logstd_nbsp=can$logstd_nbsp,
                     MATave=round(c(seq(quantile(can$MATave,0.05)[[1]],
                                        quantile(can$MATave,0.95)[[1]],length=4),0),2)) %>%
  mutate(mean=coefmean["(Intercept)"]+coefmean["MATave"]*MATave+coefmean["logstd_nbsp"]*logstd_nbsp+
           coefmean["MATave:logstd_nbsp"]*MATave*logstd_nbsp) %>% 
  mutate(up=coefmean["(Intercept)"]+coefmean["MATave"]*MATave+coefmean["logstd_nbsp"]*logstd_nbsp+
           coefmean["MATave:logstd_nbsp"]*MATave*logstd_nbsp+
           coefSE["(Intercept)"]+coefSE["MATave"]*MATave+coefSE["logstd_nbsp"]*logstd_nbsp+
           coefSE["MATave:logstd_nbsp"]*MATave*logstd_nbsp) %>% 
  mutate(low=coefmean["(Intercept)"]+coefmean["MATave"]*MATave+coefmean["logstd_nbsp"]*logstd_nbsp+
           coefmean["MATave:logstd_nbsp"]*MATave*logstd_nbsp-
           (coefSE["(Intercept)"]+coefSE["MATave"]*MATave+coefSE["logstd_nbsp"]*logstd_nbsp+
              coefSE["MATave:logstd_nbsp"]*MATave*logstd_nbsp)) %>% 
  as.data.table()

plot_df[,":="(logstd_nbsp1=logstd_nbsp*sd(can$logstd_nbsp1)+mean(can$logstd_nbsp1),MATave1=MATave*sd(can$MATave1)+mean(can$MATave1))] %>% 
  .[,":="(MATave=as.factor(round(MATave,2)),MATave1=as.factor(round(MATave1,2)))]
head(plot_df);nrow(plot_df)

seq(quantile(can$MATave1,0.05)[[1]],quantile(can$MATave1,0.95)[[1]],length=4);mean(can$MATave1)
MAT_Mort_stdnbsp<-ggplot(plot_df,aes(y=mean,x=exp(logstd_nbsp1),color=MATave))+
  theme_classic()+
  geom_ribbon(aes(x=exp(logstd_nbsp1), ymin=low,ymax=up,group=MATave),fill="royalblue",col=NA,alpha=0.08)+
  geom_line(size=1.1)+
  scale_colour_manual(values=c("violetred3","violet","black","turquoise","turquoise4"),name=expression(paste("MATave (",~degree*C,")")),
                      labels=c("-1.66"="-1.6", "-0.58"="1.3","0.5"="4.2","1.58"="7.1","0"="Mean (2.9)"))+
  xlab("")+
  ylab(expression(paste("Mortality (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  theme(axis.title.x=element_blank(), axis.text.x=element_blank(), axis.ticks.x=element_blank(),
        axis.line.x= element_blank(), axis.line.y = element_line(),
        legend.title.align = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour="black"))
MAT_Mort_stdnbsp<-MAT_Mort_stdnbsp+annotate("text",x= 6,y=3,
                                            label=expression(paste(MATave%*%"ln(",italic(S)[area],"): ",italic(P)," == 0.011")),
                                            parse=TRUE,size=3.5)
MAT_Mort_stdnbsp

summary(mcstd_nbsp)$co

#### Net biomass change ####
#std_nbsp effects depends on CMIave
coefmean<-summary(mastd_nbsp)$co[,1]
coefSE<-summary(mastd_nbsp)$co[,2]
plot_df<-expand.grid(logstd_nbsp=can$logstd_nbsp,
                     CMIave=round(c(seq(quantile(can$CMIave,0.05)[[1]],
                                        quantile(can$CMIave,0.95)[[1]],length=4),0),2)) %>%
  mutate(mean=coefmean["(Intercept)"]+coefmean["CMIave"]*CMIave+coefmean["logstd_nbsp"]*logstd_nbsp+
           coefmean["CMIave:logstd_nbsp"]*CMIave*logstd_nbsp) %>% 
  mutate(up=coefmean["(Intercept)"]+coefmean["CMIave"]*CMIave+coefmean["logstd_nbsp"]*logstd_nbsp+
           coefmean["CMIave:logstd_nbsp"]*CMIave*logstd_nbsp+
           coefSE["(Intercept)"]+coefSE["CMIave"]*CMIave+coefSE["logstd_nbsp"]*logstd_nbsp+
           coefSE["CMIave:logstd_nbsp"]*CMIave*logstd_nbsp) %>% 
  mutate(low=coefmean["(Intercept)"]+coefmean["CMIave"]*CMIave+coefmean["logstd_nbsp"]*logstd_nbsp+
           coefmean["CMIave:logstd_nbsp"]*CMIave*logstd_nbsp-
           (coefSE["(Intercept)"]+coefSE["CMIave"]*CMIave+coefSE["logstd_nbsp"]*logstd_nbsp+
              coefSE["CMIave:logstd_nbsp"]*CMIave*logstd_nbsp)) %>% 
  as.data.table()
plot_df[,":="(logstd_nbsp1=logstd_nbsp*sd(can$logstd_nbsp1)+mean(can$logstd_nbsp1),CMIave1=CMIave*sd(can$CMIave1)+mean(can$CMIave1))] %>% 
  .[,":="(CMIave=as.factor(round(CMIave,2)),CMIave1=as.factor(round(CMIave1,2)))]
head(plot_df);nrow(plot_df)

CMI_NBC_stdnbsp<-ggplot(plot_df,aes(y=mean,x=exp(logstd_nbsp1),color=CMIave))+
  theme_classic()+
  geom_ribbon(aes(x=exp(logstd_nbsp1), ymin=low,ymax=up,group=CMIave),fill="royalblue",col=NA,alpha=0.08)+
  geom_line(size=1.1)+
  scale_colour_manual(values=c("maroon4","maroon2","black","lightslateblue","dodgerblue4"),name="",
                      labels=c("-0.83841231"="1.00", "-0.4126802475"="2.12","0.013051815"="3.25",
                               "0.4387838775"="4.37","0.86451594"="5.31","0"="Mean"),
                      guide=guide_legend(override.aes = list(colour=NA,fill=NA)))+
  xlab(expression(paste("Rarefied species richness (",italic(S)[area],")")))+
  ylab(expression(paste("Net biomass change (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  theme(axis.line.y = element_line(),
        legend.title.align = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour=NA))+
  scale_x_continuous(breaks=c(1,3,5,7,9,11))
CMI_NBC_stdnbsp<-CMI_NBC_stdnbsp+annotate("text",x= 6,y=5.5,
                                          label=expression(paste("ln(",italic(S)[area],"): ",italic(P)," <0.001")),
                                          parse=TRUE,size=3.5)
CMI_NBC_stdnbsp<-CMI_NBC_stdnbsp+annotate("text",x= 6,y=5,
                                          label=expression(paste(CMIave%*%"ln(",italic(S)[area],"): ",italic(P)," <0.001")),
                                          parse=TRUE,size=3.5)
CMI_NBC_stdnbsp

summary(mastd_nbsp)$co

#std_nbsp effect depends on MATave
coefmean<-summary(mastd_nbsp)$co[,1]
coefSE<-summary(mastd_nbsp)$co[,2]
plot_df<-expand.grid(logstd_nbsp=can$logstd_nbsp,
                     MATave=round(c(seq(quantile(can$MATave,0.05)[[1]],
                                        quantile(can$MATave,0.95)[[1]],length=4),0),2)) %>%
  mutate(mean=coefmean["(Intercept)"]+coefmean["MATave"]*MATave+coefmean["logstd_nbsp"]*logstd_nbsp+
           coefmean["MATave:logstd_nbsp"]*MATave*logstd_nbsp) %>% 
  mutate(up=coefmean["(Intercept)"]+coefmean["MATave"]*MATave+coefmean["logstd_nbsp"]*logstd_nbsp+
           coefmean["MATave:logstd_nbsp"]*MATave*logstd_nbsp+
           coefSE["(Intercept)"]+coefSE["MATave"]*MATave+coefSE["logstd_nbsp"]*logstd_nbsp+
           coefSE["MATave:logstd_nbsp"]*MATave*logstd_nbsp) %>% 
  mutate(low=coefmean["(Intercept)"]+coefmean["MATave"]*MATave+coefmean["logstd_nbsp"]*logstd_nbsp+
           coefmean["MATave:logstd_nbsp"]*MATave*logstd_nbsp-
           (coefSE["(Intercept)"]+coefSE["MATave"]*MATave+coefSE["logstd_nbsp"]*logstd_nbsp+
              coefSE["MATave:logstd_nbsp"]*MATave*logstd_nbsp)) %>% 
  as.data.table()
plot_df[,":="(logstd_nbsp1=logstd_nbsp*sd(can$logstd_nbsp1)+mean(can$logstd_nbsp1),MATave1=MATave*sd(can$MATave1)+mean(can$MATave1))] %>% 
  .[,":="(MATave=as.factor(round(MATave,2)),MATave1=as.factor(round(MATave1,2)))]
head(plot_df);nrow(plot_df)

MAT_NBC_stdnbsp<-ggplot(plot_df,aes(y=mean,x=exp(logstd_nbsp1),color=MATave))+
  theme_classic()+
  geom_ribbon(aes(x=exp(logstd_nbsp1), ymin=low,ymax=up,group=MATave),fill="royalblue",col=NA,alpha=0.08)+
  geom_line(size=1.1)+
  scale_colour_manual(values=c("violetred3","violet","black","turquoise","turquoise4"),name="",
                      labels=c("-0.83841231"="1.00", "-0.4126802475"="2.12","0.013051815"="3.25",
                               "0.4387838775"="4.37","0.86451594"="5.31","0"="Mean"),
                      guide=guide_legend(override.aes = list(colour=NA,fill=NA)))+
  xlab(expression(paste("Rafied species richness (",italic(S)[area],")")))+
  ylab(expression(paste("Net biomass change (Mg ", " ", ha^{-1}, " ", yr^{-1},")")))+
  theme(axis.line.y = element_line(),
        legend.title.align  = 0,
        legend.background = element_rect(fill = NA,colour = NA),legend.text = element_text(colour=NA))+
  scale_x_continuous(breaks=c(1,3,5,7,9,11))
MAT_NBC_stdnbsp<-MAT_NBC_stdnbsp+annotate("text",x= 6,y=4,
                                          label=expression(paste(CMIave%*%"ln(",italic(S)[area],"): ",italic(P)," == 0.299")),
                                          parse=TRUE,size=3.5)
MAT_NBC_stdnbsp

summary(mastd_nbsp)$co

dev.list() # s܂BŁARStudioGD̕\Ȃ΁A̃R[hsĂB
RStudioGD() #@łƂǂɂȂƂ܂B

#### Bind figures ####
rbind_gtable_max <- function(...){
  gtl <- list(...)
  stopifnot(all(sapply(gtl, is.gtable)))
  bind2 <- function (x, y) 
  {
    stopifnot(ncol(x) == ncol(y))
    if (nrow(x) == 0) 
      return(y)
    if (nrow(y) == 0) 
      return(x)
    y$layout$t <- y$layout$t + nrow(x)
    y$layout$b <- y$layout$b + nrow(x)
    x$layout <- rbind(x$layout, y$layout)
    x$heights <- gtable:::insert.unit(x$heights, y$heights)
    x$rownames <- c(x$rownames, y$rownames)
    x$widths <- grid::unit.pmax(x$widths, y$widths)
    x$grobs <- append(x$grobs, y$grobs)
    x
  }
  
  Reduce(bind2, gtl)
}

#nbsp bind
g1 <- ggplotGrob(CMI_Grow)
g2 <- ggplotGrob(CMI_Mort)
g3 <- ggplotGrob(CMI_NBC)

h1 <- ggplotGrob(MAT_Grow)
h2 <- ggplotGrob(MAT_Mort)
h3 <- ggplotGrob(MAT_NBC)

maxWidth = unit.pmax(g1$widths[2:3], g2$widths[2:3], g3$widths[2:3])
g1$widths[2:3] <- maxWidth
g2$widths[2:3] <- maxWidth
g3$widths[2:3] <- maxWidth

maxWidth = unit.pmax(h1$widths[2:3], h2$widths[2:3], h3$widths[2:3])
h1$widths[2:3] <- maxWidth
h2$widths[2:3] <- maxWidth
h3$widths[2:3] <- maxWidth

tiff("FigS_Species_Richness_effects_by_CMIave_MAT.tiff",width=2500,height=3000,res=300,compression="lzw")
grid.draw(cbind(rbind(g1,g2,g3,size="last"),rbind(h1,h2,h3,size="last"),size="first"))
grid.text("(a)",x=unit(0.02,"npc"),y=unit(0.993,"npc"),gp=gpar(fontsize=14,font=2))
grid.text("(b)",x=unit(0.52,"npc"),y=unit(0.993,"npc"),gp=gpar(fontsize=14,font=2))

dev.off()


#std_nbsp bind
g1 <- ggplotGrob(CMI_Grow_stdnbsp)
g2 <- ggplotGrob(CMI_Mort_stdnbsp)
g3 <- ggplotGrob(CMI_NBC_stdnbsp)

h1 <- ggplotGrob(MAT_Grow_stdnbsp)
h2 <- ggplotGrob(MAT_Mort_stdnbsp)
h3 <- ggplotGrob(MAT_NBC_stdnbsp)

maxWidth = unit.pmax(g1$widths[2:3], g2$widths[2:3], g3$widths[2:3])
g1$widths[2:3] <- maxWidth
g2$widths[2:3] <- maxWidth
g3$widths[2:3] <- maxWidth

maxWidth = unit.pmax(h1$widths[2:3], h2$widths[2:3], h3$widths[2:3])
h1$widths[2:3] <- maxWidth
h2$widths[2:3] <- maxWidth
h3$widths[2:3] <- maxWidth

tiff("FigS_Sarea_effects_by_CMIave_MAT.tiff",width=2500,height=3000,res=300,compression="lzw")
grid.draw(cbind(rbind(g1,g2,g3,size="last"),rbind(h1,h2,h3,size="last"),size="first"))
grid.text("(a)",x=unit(0.02,"npc"),y=unit(0.993,"npc"),gp=gpar(fontsize=14,font=2))
grid.text("(b)",x=unit(0.52,"npc"),y=unit(0.993,"npc"),gp=gpar(fontsize=14,font=2))

dev.off()
#Because the model already accounted for PS, no need to present this - Sarea?